MP4(3)

NAME

MP4ConvertFromTrackDuration - Convert a duration from the track time scale to a specified time scale.

SYNTAX

#include <mp4.h>

u_int64_t MP4ConvertFromTrackDuration(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4Duration duration,
    u_int32_t newTimeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track from which the duration originates.

duration
    Specifies the duration that is to be converted.

newTimeScale
    Specifies the new time scale in ticks per second to which the duration should be converted.

RETURN VALUES

Upon success, the duration in the new time scale units. Upon error, 0.

DESCRIPTION

MP4ConvertFromTrackDuration converts a duration such as a sample duration from the track time scale to another specified time scale. This can be used by a player application to map all track samples to a common time scale.

SEE ALSO

MP4(3) MP4GetSampleDuration(3) MP4ConvertToTrackDuration(3)